{% extends "base.html" %}
{% block main %}
<h1>{{ genre_name }}</h1>
<div class="sample">
  {% for w in range(0, songs|length, 5) %}
    <div class="card-deck" style="margin-bottom: 30px;width:{{width}}%">
      {% for x in songs[w:w+5] %}
      <div class = "card" style="width: auto;box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);margin-bottom: auto;">
          <a href ="{{ url_for('song',id = x['id']) }}">
              <img class = "card-img-top" src="{{ url_for('static', filename='images/'+x.img) }}" alt={{x.title}} style="width:100%;height: 200px;">
              <p class="text-center" style="margin-bottom: auto;">{{ x.title }}</p>
          </a>
      </div>
      {% endfor %}
  </div>
  {% endfor %}
</div>
{% endblock %}

{% block scripts %}
  {{ super() }}
  <script type="text/javascript">
    var curtab = "genres-tab";
  </script>
{% endblock %}
